Subject: bug#30312: documentation: misleading EFI partitioning instructions

From: [email-masked] (Ludovic Courtès)
Date: Tue, 26 Jun 2018 10:12:01 +0200

Hello gentlefolks!

Ricardo Wurmus <[email-masked]> skribis:

> First, this sounds like it’s up to the user to pick either EFI-based
> GRUB or BIOS-based GRUB.  It is not clear that this is determined by
> whether the machine has a {BIOS, EFI in legacy mode} or EFI.  It’s
> really not much of a choice.
>
> Second, the “parted” command operates on the first partition (“1”), yet
> for the second command the second partition (“/dev/sda2”) is used.  It’s
> better to be consistent here, i.e. to change “set 1 esp on” to “set 2
> esp on” and to state that this would modify “/dev/sda2”.
>
> Finally, it is not clear where the efi partition should be mounted.
> Should it be /mnt/boot/efi?  If so, should the configuration file
> specify “/mnt/boot/efi” as the target?  Or should it be “/boot/efi”?
>
> An example would be useful here.

It’d be nice to fix this before the release.  Anyone could take a look
to address these issues?

Thanks,
Ludo’.